//
//  Player.h
//  BladeHero
//
//  Created by Jeames Bone on 22/07/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PlayerView.h"
#import "GameObject.h"

@interface Player : GameObject

@property (nonatomic, strong) PlayerView *view;
@property (nonatomic, assign) float speed;
@property (nonatomic, assign) CGPoint target;
@property (nonatomic, assign) BOOL dashUp;
@property (nonatomic, strong) NSString *name;

- (void)moveTowardsPoint:(CGPoint)point;
- (void)stopMoving;
- (void)dash;

@end
