//
//  Tile.m
//  BladeHero
//
//  Created by Jeames Bone on 31/07/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "Tile.h"

@implementation Tile

@synthesize view, solid;

- (id)initWithPosition:(CGPoint)pos andImage:(UIImage *)image isSolid:(BOOL)isSolid
{
    self = [super init];
    if (self) 
    {
        position = pos;
        size = CGSizeMake(64, 64);
        solid = isSolid;
        [self updateBounds];
        view = [[UIImageView alloc] initWithFrame:bounds];
        [self.view setImage:image];
    }
    return self;
}

@end
